Bug 101680 - mail/poppassd: update of passwd prompts for pam_passwdqc.so
Summary: mail/poppassd: update of passwd prompts for pam_passwdqc.so
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-09 04:00 UTC by tedm
Modified: 2007-01-04 22:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1001 bytes, patch)
2006-08-09 04:00 UTC, tedm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tedm 2006-08-09 04:00:27 UTC
	

When enabling the strong password checking by uncommenting
pam_passwdqc.so in /etc/pam.d/passwd, the passwd program's prompts are
changed yet again thus breaking poppassd. 

This patch fixes that, it is made against the version of poppassd.c that results
from the FreeBSD patches already included in ports being applied.

It would be -highly- desirable if the port maintainer could contact the developer
of this program, John Norstad, and feed the BSD patches back to him for inclusion
in the master distribution, or barring that, produce a patched distribution and
feed that back to Qualcomm for their Eudora website.

This should also be checked with the mail/poppwd port.
Comment 1 Emanuel Haupt freebsd_committer 2006-12-25 17:06:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take care of it.
Comment 2 Emanuel Haupt freebsd_committer 2006-12-25 17:15:54 UTC
State Changed
From-To: open->feedback

This port is assigned to ports@FreeBSD.org which means that it is unmaintained. Are you interested in maintaining this port? The patch you submitted does not apply. Could you maybe follow up a committable patch against the current version of this port?
Comment 3 support 2007-01-03 19:10:42 UTC
Oops, my fault on that, I did the diff backwards.  Here's the correct patch:

--- poppassd.c.postfbsdpatches  Wed Jan  3 10:45:43 2007
+++ poppassd.c  Wed Jan  3 11:04:18 2007
@@ -112,7 +112,7 @@

 #define SUCCESS 1
 #define FAILURE 0
-#define BUFSIZE 512
+#define BUFSIZE 768

 #include <sys/types.h>
 #include <sys/stat.h>
@@ -166,12 +166,14 @@

 static char *P2[] =
    {"\nNew password:",
+    "\n*\n*\n*\n*\n*\n*\n*\n*\n*\n*\n*\nEnter new password: ",
     "\n*'s New password:",
     ""};

 static char *P3[] =
    {"\nRe-enter new password:",
     "\nRetype new password:",
+    "\nRe-type new password: ",
     "\nEnter the new password again:",
     "\n*Re-enter *'s new password:",
     "\nVerify:",
@@ -283,7 +285,7 @@
                {
                        syslog (LOG_ERR, "failed attempt by %s", user);
                        if (*emess == '\0') {
-                               WriteToClient ("500 Unable to change
password." );
+                               WriteToClient ("500 Password change
unsuccessful, try a different password." );
                        } else {
                                WriteToClient ("500 %s", emess);
                        }

I'd be happy to be listed as the maintainer on this port, but I do not have
committ rights.

Ted
Comment 4 dfilter service freebsd_committer 2007-01-04 22:30:36 UTC
ehaupt      2007-01-04 22:30:29 UTC

  FreeBSD ports repository

  Modified files:
    mail/poppassd        Makefile 
    mail/poppassd/files  patch-ab 
  Log:
  When enabling the strong password checking by uncommenting pam_passwdqc.so in
  /etc/pam.d/passwd, the passwd program's prompts are changed yet again thus
  breaking poppassd.
  
  This patch fixes that, it is made against the version of poppassd.c that
  results from the FreeBSD patches already included in ports being applied.
  
  Also pass maintainer-ship to submitter and bump PORTREVISION.
  
  PR:             101680
  Submitted by:   tedm@ipinc.net
  
  Revision  Changes    Path
  1.18      +2 -2      ports/mail/poppassd/Makefile
  1.11      +37 -15    ports/mail/poppassd/files/patch-ab
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Emanuel Haupt freebsd_committer 2007-01-04 22:30:45 UTC
State Changed
From-To: feedback->closed

Committed, thanks!